Bug 139391 - splittree.py gives traceback when run
Summary: splittree.py gives traceback when run
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-15 19:26 UTC by Benjamin Long
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 17:09:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Benjamin Long 2004-11-15 19:26:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When trying to create updated fc3 install cd's, splittree.py will not
run. I'm running:
splittree.py --arch=i386 --total-discs=8 --bin-discs=4 --src-disks=4
--release-string="Fedora Core 3 (Heidelberg) with updates to
2004-17-15" 
--pkgorderfile=/root/fedora-rebuild/fedora/pkgfile.2004-11-15
--distdir=/root/fedora-rebuild/fedora/i386
--srcdir=/root/fedora-rebuild/fedora/i386/SRPMS --productpath=Fedora

which spits out:

Traceback (most recent call last):
  File "/usr/lib/anaconda-runtime/splittree.py", line 407, in ?
    usage(msg)
NameError: name 'msg' is not defined

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run splittree.py /w correct options
2. See Traceback
3. File bug report :)
    

Expected Results:  splittree.py should give me package lists for each cd.

Additional info:

Comment 1 Paul Nasrat 2004-11-15 19:33:00 UTC
Fixed in CVS

note you are using --src-disks=4 and it should be --src-discs=4

Comment 2 Benjamin Long 2004-11-15 19:59:23 UTC
I downloaded the cvs version of splittree.py and it works as expected.
now all we need is an updated anaconda package for everyone else. :)


Note You need to log in before you can comment on or make changes to this bug.